## ECA Recipe: Grant new user role after 3 conditions are met

ID: eca_lib_0026

This model automatically adds or removes a role from a user, when this gets updated, depending upon 3 conditions that are stored with the user entity. Only if all 3 conditions are met, the role gets added. In all other cases the role gets removed.

The creation of this module was recorded and the video with additional explanations can be [watched here](https://tube.tchncs.de/w/jTSnTrBF2YkUJHEtEoZVrW).

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0026
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0026
```